import React from 'react';
import { connect } from 'umi';
import CommonRollCharComponent from '../../components/CommonChar/CommonRollChar';

function CommonRollChar({
  dispatch, app, content, location,
}) {
  const commonRollChar = {
    app,
    content,
    dispatch,
    routing: location,
    sModelsId: '101251240115015960989066790',
  };

  return (
    <CommonRollCharComponent {...commonRollChar} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(CommonRollChar);
